%define upstream_name    SDL
%define upstream_version 2.546

Name:       perl-SDL
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Epoch:      1

Summary:    Wrapper around the cross platform Simple DirectMedia Layer game library
License:    LGPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/~kthakore/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::SDL) >= 1.426.0
BuildRequires: perl(CPAN) >= 1.920.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Most) >= 0.210.0
BuildRequires: perl(Test::Simple) >= 0.880.0
BuildRequires: perl(Tie::Simple)
BuildRequires: libSDL_image-devel
BuildRequires: libSDL_mixer-devel
BuildRequires: libSDL_net-devel
BuildRequires: libSDL_ttf-devel
BuildRequires: libSDL_gfx-devel >= 2.0.8
BuildRequires: libSDL_Pango-devel
BuildRequires: libungif-devel
BuildRequires: mesaglu-devel
BuildRequires: perl-devel

%{?perl_default_filter}

%description
SDL Perl is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in Perl,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# this test requires a sound device
rm -f t/mixerpm.t
# Disable the sdlx_controller_interface.t test, it hangs on arm
rm t/sdlx_controller_interface.t
sed -i -e '/t\/sdlx_controller_interface\.t/d' MANIFEST

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install  destdir=%{buildroot}

%files
%doc CHANGELOG COPYING INSTALL META.json META.yml MYMETA.yml TODO examples
%{_mandir}/*/*
%{perl_vendorarch}/SDL*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/pods/*
%{perl_vendorarch}/Module/Build/SDL.pm


%changelog
* Thu Jun 16 2016 tv <tv> 1:2.546.0-4.mga6
+ Revision: 1021715
- disable the sdlx_controller_interface.t test, it hangs on arm

* Thu Feb 18 2016 umeabot <umeabot> 1:2.546.0-3.mga6
+ Revision: 966487
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1:2.546.0-2.mga6
+ Revision: 845224
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1:2.546.0-1.mga6
+ Revision: 840577
- update to 2.546

* Wed Oct 15 2014 umeabot <umeabot> 1:2.544.0-5.mga5
+ Revision: 740756
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:2.544.0-4.mga5
+ Revision: 733371
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:2.544.0-3.mga5
+ Revision: 686121
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1:2.544.0-2.mga5
+ Revision: 631621
- Rebuild for perl 5.20

* Sat May 17 2014 sander85 <sander85> 1:2.544.0-1.mga5
+ Revision: 623249
- update to 2.544

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1:2.540.0-6.mga5
+ Revision: 591738
- rebuild for SDL_gfx

* Sat Oct 19 2013 umeabot <umeabot> 1:2.540.0-5.mga4
+ Revision: 524138
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1:2.540.0-4.mga4
+ Revision: 430099
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1:2.540.0-3.mga3
+ Revision: 374631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - rebuild for new SDL_gfx

* Tue Jun 05 2012 jquelin <jquelin> 1:2.540.0-1.mga3
+ Revision: 255488
- update to 2.540

* Wed May 30 2012 jquelin <jquelin> 1:2.536.0-2.mga3
+ Revision: 251096
- rebuild for perl 5.16
- adding missing buildrequires:

* Thu Jan 05 2012 jquelin <jquelin> 1:2.536.0-1.mga2
+ Revision: 191385
- update to 2.536

* Wed Nov 02 2011 kharec <kharec> 1:2.534.0-1.mga2
+ Revision: 161519
- update to 2.534

* Wed Jun 15 2011 jquelin <jquelin> 1:2.533.0-1.mga2
+ Revision: 107416
- update to 2.533

* Sat Jun 11 2011 sander85 <sander85> 1:2.532.0-2.mga2
+ Revision: 103934
- perl 5.14

* Mon Apr 04 2011 jquelin <jquelin> 1:2.532.0-1.mga1
+ Revision: 80399
- update to 2.532

* Wed Mar 09 2011 jquelin <jquelin> 1:2.531.0-1.mga1
+ Revision: 67077
- update to 2.531

* Sun Jan 23 2011 jquelin <jquelin> 1:2.526.0-2.mga1
+ Revision: 34884
- rebuild
- mageia rebuild
- imported package perl-SDL

